"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var use_1 = require("../use");
var utils_1 = require("../utils");
/**
 *
 */
function additionalProps(type, _a) {
    var _b = _a === void 0 ? {
        required: true,
    } : _a, required = _b.required;
    return function (target, name
    // descriptor: PropertyDescriptor
    ) {
        var wrap = utils_1.wrapSchema(target);
        if (utils_1.isProperty(type === null || type === void 0 ? void 0 : type.name)) {
            wrap.properties[name] = {
                type: 'object',
                additionalProperties: utils_1.buildProperty(type.name),
            };
            //
        }
        else {
            wrap.properties[name] = {
                type: 'object',
                additionalProperties: __assign({ type: 'object' }, use_1.use(type)),
            };
        }
        if (required) {
            var r = wrap.required;
            r.push(name);
        }
    };
}
exports.default = additionalProps;
//# sourceMappingURL=additionalProps.js.map